#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Utilities and test programs for the Linux sg version 3 device driver
Summary(pl.UTF-8):	Programy narzędziowe i testowe dla linuksowego sterownika sg w wersji 3
Name:		sg3_utils
Version:	1.48
Release:	1%{?tld}
License:	GPL v2 (utilities), BSD (library)
Group:		Applications/System
Source0:	http://sg.danny.cz/sg/p/%{name}-%{version}.tar.xz
# Source0-md5:	0024393d2d2942cc081ce613d98db68a
Patch0:		%{name}-rescan-scsi-bus.sh.patch
URL:		http://sg.danny.cz/sg/sg3_utils.html
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# see scripts/rescan-scsi-bus.sh /Id:
Provides:	rescan-scsi-bus = 1.57
Provides:	sg_utils
Obsoletes:	rescan-scsi-bus < 1.57
Obsoletes:	scsiutils < 1.8
Obsoletes:	sg_utils < 1.03
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
This package contains some utilities and test programs for the Linux
sg (version 3) device driver. This driver is found in the Linux 2.4+
kernels.

%description -l pl.UTF-8
Ten pakiet zawiera trochę programów narzędziowych i testowych dla
sterownika urządzeń sg w wersji 3. Ten sterownik jest obecny w jądrach
Linuksa 2.4+.

%package devel
Summary:	Header files for sgutils2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki sgutils2
License:	BSD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for sgutils2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki sgutils2.

%package static
Summary:	Static sgutils2 library
Summary(pl.UTF-8):	Statyczna biblioteka sgutils2
License:	BSD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of sgutils2 library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki sgutils2.

%package udev
Summary:	Udev rules for sg3_utils
Summary(pl.UTF-8):	Reguły udev dla sg3_utils
License:	BSD
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description udev
Udev rules for sg3_utils.

%description udev -l pl.UTF-8
Reguły udev dla sg3_utils

%prep
%setup -q

cp -p scripts/README README.scripts

%build
%configure \
	%{__enable_disable static_libs static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install scripts/rescan-scsi-bus.sh $RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT/lib/udev/rules.d
install scripts/*.rules $RPM_BUILD_ROOT/lib/udev/rules.d

# no external dependencies
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsgutils2.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BSD_LICENSE COPYING COVERAGE CREDITS ChangeLog README README.scripts README.sg_start
%attr(755,root,root) %{_bindir}/rescan-scsi-bus.sh
%attr(755,root,root) %{_bindir}/scsi_*
%attr(755,root,root) %{_bindir}/sg_*
%attr(755,root,root) %{_bindir}/sginfo
%attr(755,root,root) %{_bindir}/sgm_dd
%attr(755,root,root) %{_bindir}/sgp_dd
%attr(755,root,root) %{_libdir}/libsgutils2-%{version}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsgutils2-%{version}.so.2
%{_mandir}/man8/rescan-scsi-bus.sh.8*
%{_mandir}/man8/scsi_*.8*
%{_mandir}/man8/sg3_utils.8*
%{_mandir}/man8/sg3_utils_json.8*
%{_mandir}/man8/sg_*.8*
%{_mandir}/man8/sginfo.8*
%{_mandir}/man8/sgm_dd.8*
%{_mandir}/man8/sgp_dd.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsgutils2.so
%{_includedir}/scsi/sg_*.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsgutils2.a
%endif

%files udev
%defattr(644,root,root,755)
/lib/udev/rules.d/00-scsi-sg3_config.rules
/lib/udev/rules.d/40-usb-blacklist.rules
/lib/udev/rules.d/54-before-scsi-sg3_id.rules
/lib/udev/rules.d/55-scsi-sg3_id.rules
/lib/udev/rules.d/58-scsi-sg3_symlink.rules
/lib/udev/rules.d/59-fc-wwpn-id.rules
/lib/udev/rules.d/59-scsi-cciss_id.rules
%changelog
* Wed Apr 24 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/sg3_utils.git;a=log;h=master

* Wed Apr 24 2024 Marcin Krol <hawk@tld-linux.org> 3fc054f
- missing patch

* Wed Apr 24 2024 Marcin Krol <hawk@tld-linux.org> cd35ce2
- merged 1.48 from PLD

* Mon Jul 10 2023 Marcin Krol <hawk@tld-linux.org> 9e5f2af
- updated to 1.47

* Mon Apr 06 2020 Marcin Krol <hawk@tld-linux.org> 4790dff
- updated to 1.45

* Tue Apr 05 2016 Marcin Krol <hawk@tld-linux.org> c8c7e14
- updated to 1.42

* Mon Aug 31 2015 Marcin Krol <hawk@tld-linux.org> fb40bf1
- release 3

* Mon Aug 31 2015 Marcin Krol <hawk@tld-linux.org> 25af6a0
- moved udev rules to subpackage, they break /dev/disk/* entries for
  non-scsi devices using scsi subsystem (ie. USB disks), on the other
  hand they are needed for multipath

* Fri Aug 07 2015 Marcin Krol <hawk@tld-linux.org> 31670a6
- fix syntax error in udev rules

* Mon Jul 27 2015 Marcin Krol <hawk@tld-linux.org> 4a6ca27
- updated to 1.41

* Mon Jul 27 2015 Marcin Krol <hawk@tld-linux.org> 793391e
- from PLD

